Bug 441837 - pykickstart - option --bootproto: invalid choice: 'query' (choose from 'dhcp', 'bootp', 'static')
Summary: pykickstart - option --bootproto: invalid choice: 'query' (choose from 'dhcp'...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pykickstart
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Chris Lumens
QA Contact: Alexander Todorov
URL:
Whiteboard:
Depends On:
Blocks: 401531
TreeView+ depends on / blocked
 
Reported: 2008-04-10 14:26 UTC by James Laska
Modified: 2013-09-02 06:24 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0459
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 14:30:13 UTC


Attachments (Terms of Use)
screen capture of the error mentioned in comment #0 (25.40 KB, image/png)
2008-04-10 14:51 UTC, Alexander Todorov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0459 normal SHIPPED_LIVE pykickstart bug fix update 2008-05-20 13:13:20 UTC

Description James Laska 2008-04-10 14:26:32 UTC
Description of problem:

In testing bug#401531 ... it appears that the new "network --bootproto=query"
syntax is not recognized as valid by pykickstart.

The installation will stop and prompt to reboot in stage#2 as seen below: 

http://redbull.englab.brq.redhat.com/bootproto_error.png

Version-Release number of selected component (if applicable):
anaconda-11.1.2.111-1 (RHEL5.2-Server-20080409.nightly)

How reproducible:
100%

Steps to Reproduce:
1. Build iso file with a kickstart on the iso that contains:

network --bootproto=query

2. Boot iso image with: linux ks=cdrom
3. Answer any loader questions to proceed to stage#2
  
Actual results:
pykickstart doesn't like kickstart syntax

Dialog stating ...
option --bootproto: invalid choice: 'query' (choose from 'dhcp', 'bootp', 'static')

http://redbull.englab.brq.redhat.com/bootproto_error.png

Expected results:

pykickstart should be happy

Comment 1 James Laska 2008-04-10 14:37:40 UTC
This blocks end-2-end verification of bug#401531.

While this is late in the cycle, if we desire to support the hotfix pushed out
against 5.1 (officially fixed in #401531), I think we'll need to take this in.

Comment 2 Alexander Todorov 2008-04-10 14:51:00 UTC
Created attachment 302001 [details]
screen capture of the error mentioned in comment #0

Comment 3 Chris Lumens 2008-04-10 14:53:58 UTC
This patch should fix it:

diff --git a/pykickstart/parser.py b/pykickstart/parser.py
index a37baa0..c4a0e82 100644
--- a/pykickstart/parser.py
+++ b/pykickstart/parser.py
@@ -581,7 +581,7 @@ class KickstartHandlers:
     def doNetwork(self, args):
         op = KSOptionParser(lineno=self.lineno)
         op.add_option("--bootproto", dest="bootProto", default="dhcp",
-                      choices=["dhcp", "bootp", "static"])
+                      choices=["dhcp", "bootp", "static", "query"])
         op.add_option("--class", dest="dhcpclass")
         op.add_option("--device", dest="device")
         op.add_option("--essid", dest="essid")


Comment 7 James Laska 2008-04-15 19:53:14 UTC
VERIFIED proposed patch in updates image
(http://devserv.devel.redhat.com/~jlaska/updates-441837.img (also includes fix
for bug#442020)).

Comment 8 Chris Lumens 2008-04-15 22:06:28 UTC
This will be fixed in pykickstart-0.43-1.

Comment 12 errata-xmlrpc 2008-05-21 14:30:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0459.html



Note You need to log in before you can comment on or make changes to this bug.